﻿package  {
	import starling.display.Sprite;
	import starling.display.Quad;
	import starling.events.Event;
	public class MySprite extends Sprite{
		private var nUnit:Number = 50;
		private var nColor:uint = 0x0000FF;
		private var instance:Quad;
		public function MySprite() {
			addEventListener(Event.ADDED_TO_STAGE, initialize);
		}
		private function initialize(eventObject:Event):void {
			instance = new Quad(nUnit, nUnit, nColor);
			addChild(instance);
			instance.x = stage.stageWidth / 2;
			instance.y = stage.stageHeight / 2;
			instance.pivotX = instance.width / 2;
			instance.pivotY = instance.height / 2;
			addEventListener(Event.ENTER_FRAME, rotate);
		}
		private function rotate(eventObject:Event):void {
			instance.rotation += 0.1;
		}
	}
}